Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434234 - dev-games/irrlicht does not create symlink for shared lib
Summary: dev-games/irrlicht does not create symlink for shared lib
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 19:40 UTC by Julian Ospald
Modified: 2013-01-01 18:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2012-09-07 19:40:41 UTC
this makes it difficult to force shared lib inside cmake for example, cause you cannot point to "libIrrlicht.so" and it will always try to prefer static unless you specify the full libname which would break on any version bump if version-specific

the irrlicht Makefile itself does:
sharedlib install: SHARED_LIB = libIrrlicht.so
[...]
    cd $(INSTALL_DIR) && ln -s -f $(SHARED_LIB).$(VERSION) $(SHARED_LIB)
Comment 1 Julian Ospald 2012-09-08 23:16:55 UTC
--- dev-games/irrlicht/irrlicht-1.7.3.ebuild
+++ dev-games/irrlicht/irrlicht-1.7.3.ebuild
@@ -3,7 +3,7 @@
 # $Header: /var/cvsroot/gentoo-x86/dev-games/irrlicht/irrlicht-1.7.3.ebuild,v 1.4 2012/08/08 19:51:00 ranger Exp $
 
 EAPI=2
-inherit eutils toolchain-funcs
+inherit eutils multilib toolchain-funcs
 
 DESCRIPTION="open source high performance realtime 3D engine written in C++"
 HOMEPAGE="http://irrlicht.sourceforge.net/"
@@ -50,6 +50,7 @@
 	cd ../..
 	dolib.a lib/Linux/libIrrlicht.a || die
 	dolib.so lib/Linux/libIrrlicht.so* || die
+	dosym $(basename `ls lib/Linux/libIrrlicht.so*`) /usr/$(get_libdir)/libIrrlicht.so || die
 	insinto /usr/include/${PN}
 	doins include/* || die
 	dodoc changes.txt readme.txt
Comment 2 Julian Ospald 2013-01-01 18:36:31 UTC
this is fixed in irrlicht-1.8